﻿using HarmonyLib;
using System.Reflection;
using UnityEngine;

namespace Whitebrim.TicTacToe
{
    public class PlayableTicTacToe : Mod
    {
        private Harmony harmonyInstance;

        public void Awake()
        {
            harmonyInstance = new Harmony("com.whitebrim.tictactoe");
            harmonyInstance.PatchAll(Assembly.GetExecutingAssembly());
        }

        public void Start()
        {
            Debug.Log("Mod PlayableTicTacToe has been loaded!");
        }

        public void OnModUnload()
        {
            harmonyInstance.UnpatchAll("com.whitebrim.tictactoe");
            Debug.Log("Mod Playable TicTacToe has been unloaded!");
        }
    }
}